Package org.gradle.plugins.ide.eclipse.model

# Class WbDependentModule

java.lang.Object
org.gradle.plugins.ide.eclipse.model.WbDependentModule

All Implemented Interfaces:
  `WbModuleEntry`

public class WbDependentModule extends Object implements WbModuleEntry
A wtp descriptor dependent module entry.

## Constructor Summary

Constructors
Constructor
Description
`WbDependentModule(Node node)`
`WbDependentModule(String deployPath, String handle)`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendNode(Node parentNode)`
`boolean`
`equals(Object o)`
`String`
`getDeployPath()`
`String`
`getHandle()`
`int`
`hashCode()`
`void`
`setDeployPath(String deployPath)`
`void`
`setHandle(String handle)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### WbDependentModule

public WbDependentModule(Node node)

### WbDependentModule

public WbDependentModule(String deployPath, String handle)

## Method Details

### getDeployPath

public String getDeployPath()

### setDeployPath

public void setDeployPath(String deployPath)

### getHandle

public String getHandle()

### setHandle

public void setHandle(String handle)

### appendNode

public void appendNode(Node parentNode)

Specified by:
  `appendNode` in interface `WbModuleEntry`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`